/*
Copyright (c) 2001 David Drysdale

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of the author shall not be
used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from the author.
*/


import java.awt.*;

class SaveDialog extends Dialog {
    Button okButton;
    Button cancelButton;
    Panel labelPanel;
    TextArea textStuff;
    SaveDialog(Frame frame, boolean modal, String fontString) {
        super(frame, modal);

        labelPanel = new Panel();
        labelPanel.setLayout(new BorderLayout());
        labelPanel.add("North", new Label("I'm a Java applet, so I'm not allowed to write to your disk."));
        labelPanel.add("Center", new Label("However, you can, so you should load up a text editor and"));
        labelPanel.add("South", new Label("paste in the font description below, and save it."));

        add("North", labelPanel);
        textStuff = new TextArea();
        Font fixedFont = new Font("Courier", Font.PLAIN, 10);
        if (fixedFont != null) textStuff.setFont(fixedFont);
        textStuff.setText(fontString);
        textStuff.setEditable(false);
        add("Center", textStuff);
        okButton = new Button("OK");
        add("South", okButton);
        pack();
    }
    public boolean action(Event e, Object what) {
        if (e.target == okButton) {
            setVisible(false);
            return true;
        }
        return false;
    }
}
